call rpcnotify(1, 'Gui', 'Font', 'Iosevka Curly Slab 8.4')
" Iosevka customizations: Haskell ligations; JetBrains Mono Style variant;
" cv-a-single-storey-serifed; cv-g-double-storey-open;
" cv-lig-ltgteq-slanted; cv-tilde-high; cv-underscore-low; cv-dollar-open;
" cv-percent-dots; cv-at-short; cv-zero-slashed;
" cv-ampersand-et-toothless-corner; cv-brace-curly-flat-boundary;
call rpcnotify(1, 'Gui', 'FontFeatures', 'HSKL,ss14,cv26=12,cv32=2,VXLA=2,cv88=1,cv90=3,cv97=1,cv98=1,cv96=7,cv76=2,cv95=6,cv93=3')

if exists('g:GtkGuiLoaded')
	call rpcnotify(1, 'Gui', 'Command', 'PreferDarkTheme', 'on')
endif

" Restore theme's background on GUI
let g:onedark_config = {'transparent': v:false}
if exists('g:colors_name') && g:colors_name == 'onedark'
	syntax reset
endif
if exists('g:colors_name') && g:colors_name == 'vscode'
	let g:vscode_transparent = v:false
lua <<EOF
	local c = require('vscode.colors').get_colors()
	require('vscode').setup({ group_overrides = { Normal = { fg=c.vscFront, bg=c.vscBack } } })
	require('vscode').load()
EOF
endif
